#!/bin/bash -l

module load matlab/R2022a

cd /resstore/b0133/earbda/AIS_discharge/v3/update

# 0 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 0)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 0

# 200 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 200)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 200

# 400 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 400)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 400

# 600 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 600)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 600

# 800 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 800)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 800

# 1000 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 1000)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 1000

# 1200 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 1200)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 1200

# 1400 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 1400)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 1400

# 1600 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 1600)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 1600

# 1800 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 1800)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 1800

# 2000 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 2000)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 2000

# 2200 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 2200)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 2200

# 2400 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 2400)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 2400

# 2600 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 2600)
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 2600

# 2800 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk ./append_func.sh 2800)
job_id=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 2800)

# 3000 m
job_id=$(qsub -terse -V -cwd -l h_rt=00:30:00 -l h_vmem=92G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./append_func.sh 3000)
job_id=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=12G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./fill_func.sh 3000)

rm -f last_fill_job.txt
echo ${job_id} | tee -a last_fill_job.txt


