#!/bin/bash -l

cd /resstore/b0133/earbda/AIS_discharge/v3/update

module load matlab/R2022a

# Get the last filled job
job_id=$(sed -n -e "1 p" last_fill_job.txt)

qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 0
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 200
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 400
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 600
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 800
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1000
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1200
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1400
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1600
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 1800
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2000
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2200
qsub -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2400
job_id0=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id} ./discharge_func.sh 2600)
job_id1=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id0} ./discharge_func.sh 2800)
job_id2=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=64G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id1} ./discharge_func.sh 3000)
job_id3=$(qsub -terse -V -cwd -l h_rt=03:00:00 -l h_vmem=24G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id2} ./merge_func.sh)
qsub -V -cwd -l h_rt=14:00:00 -l h_vmem=20G -m be -M b.davison@leeds.ac.uk -hold_jid ${job_id3} ./plot_summary_figs.sh



